WordPress.org

Support

Support » Plugins and Hacks » Advanced Access Manager » warning at line 521 of mvb_wp_access.php

warning at line 521 of mvb_wp_access.php

  • I am seeing a warning as follows:

    Warning: array_merge() [function.array-merge]: Argument #1 is not an array in xxxxxx/mvb_wp_access.php on line 521

    Solved by changing:
    if (isset($query->query_vars[‘post__not_in’])) {
    $query->query_vars[‘post__not_in’] = array_merge($query->query_vars[‘post__not_in’], $r_posts);
    } else {
    $query->query_vars[‘post__not_in’] = $r_posts;
    }

    To:
    if (isset($query->query_vars[‘post__not_in’]) && is_array($query->query_vars[‘post__not_in’])) {
    $query->query_vars[‘post__not_in’] = array_merge($query->query_vars[‘post__not_in’], $r_posts);
    } else {
    $query->query_vars[‘post__not_in’] = $r_posts;
    }

    http://wordpress.org/extend/plugins/advanced-access-manager/

  • The topic ‘warning at line 521 of mvb_wp_access.php’ is closed to new replies.
Skip to toolbar